[Bug] the embedding episodes player doesnt work after the last update

Hmm also ich habe jetzt https://raw.githubusercontent.com/podlove/podlove-publisher/2.8.6/lib/modules/podlove_web_player/player_v4/dist/share.html genommen und damit https://raw.githubusercontent.com/podlove/podlove-publisher/2.8.8/lib/modules/podlove_web_player/player_v4/dist/share.html - ersetzt

keine Auswirkung view-source:http://p2p-game.com/wp-content/plugins/podlove-podcasting-plugin-for-wordpress/lib/modules/podlove_web_player/player_v4/dist/share.html?episode=http%3A%2F%2Fp2p-game.com%2F%3Fpodlove_player4%3D77
[hier noch mit der share von 2.8.7]
Schade dann warte ich auf den off. fix

Alte Versionen gibt es unter https://wordpress.org/plugins/podlove-podcasting-plugin-for-wordpress/advanced/ zum Download (ganz unten)

Danke ich hab jetzt (hätte ich mir auch denken können) ein Plugin zum Rollback von Plugins installiert :wink:

WP Rollback

mit der 2.8.6. funktionierts einwandfrei -> sorry für OT - könnt gerne die msg rauslöschen - Danke nochmal für die Hilfe!

Podlove Publisher 2.8.9 enthält den Fix.

1 Like

Ich hätte es nicht tun sollen :confused: nach dem update von .6 auf die .9 geht wieder nix - Rollback hilft dieses mal auch nichts… :
grafik
Can’t load Podlove Webplayer 4.5.8

config http://p2p-game.com/?podlove_player4=77 share.js:2:52032

t http://p2p-game.com/wp-content/plugins/podlove-podcasting-plugin-for-wordpress/lib/modules/podlove_web_player/player_v4/dist/share.js:2

f http://p2p-game.com/wp-content/plugins/podlove-podcasting-plugin-for-wordpress/lib/modules/podlove_web_player/player_v4/dist/share.js:2

_invoke http://p2p-game.com/wp-content/plugins/podlove-podcasting-plugin-for-wordpress/lib/modules/podlove_web_player/player_v4/dist/share.js:2

n http://p2p-game.com/wp-content/plugins/podlove-podcasting-plugin-for-wordpress/lib/modules/podlove_web_player/player_v4/dist/share.js:2

e http://p2p-game.com/wp-content/plugins/podlove-podcasting-plugin-for-wordpress/lib/modules/podlove_web_player/player_v4/dist/share.js:2

u http://p2p-game.com/wp-content/plugins/podlove-podcasting-plugin-for-wordpress/lib/modules/podlove_web_player/player_v4/dist/share.js:2

TypeError: “window.PODLOVE_STORE is undefined”

t http://p2p-game.com/wp-content/plugins/podlove-podcasting-plugin-for-wordpress/lib/modules/podlove_web_player/player_v4/dist/share.js:2

f http://p2p-game.com/wp-content/plugins/podlove-podcasting-plugin-for-wordpress/lib/modules/podlove_web_player/player_v4/dist/share.js:2

_invoke http://p2p-game.com/wp-content/plugins/podlove-podcasting-plugin-for-wordpress/lib/modules/podlove_web_player/player_v4/dist/share.js:2

n http://p2p-game.com/wp-content/plugins/podlove-podcasting-plugin-for-wordpress/lib/modules/podlove_web_player/player_v4/dist/share.js:2

e http://p2p-game.com/wp-content/plugins/podlove-podcasting-plugin-for-wordpress/lib/modules/podlove_web_player/player_v4/dist/share.js:2

u http://p2p-game.com/wp-content/plugins/podlove-podcasting-plugin-for-wordpress/lib/modules/podlove_web_player/player_v4/dist/share.js:2

share.js:2:52058

t http://p2p-game.com/wp-content/plugins/podlove-podcasting-plugin-for-wordpress/lib/modules/podlove_web_player/player_v4/dist/share.js:2

f http://p2p-game.com/wp-content/plugins/podlove-podcasting-plugin-for-wordpress/lib/modules/podlove_web_player/player_v4/dist/share.js:2

_invoke http://p2p-game.com/wp-content/plugins/podlove-podcasting-plugin-for-wordpress/lib/modules/podlove_web_player/player_v4/dist/share.js:2

n http://p2p-game.com/wp-content/plugins/podlove-podcasting-plugin-for-wordpress/lib/modules/podlove_web_player/player_v4/dist/share.js:2

e http://p2p-game.com/wp-content/plugins/podlove-podcasting-plugin-for-wordpress/lib/modules/podlove_web_player/player_v4/dist/share.js:2

u http://p2p-game.com/wp-content/plugins/podlove-podcasting-plugin-for-wordpress/lib/modules/podlove_web_player/player_v4/dist/share.js:2

Same here. Die share.html enthält solche offensichtlich falsche absolute Pfadangaben.

<link rel="stylesheet" href="/4.5.8/styles.css"><script src="/4.5.8/vendor.js"></script><script src="/4.5.8/styles.js"></script>

Wobei deren manuelle Umstellung auf relative Pfade ohne / am Anfang nicht zum Laden des embed-Players führt. Wer externes embed der Player braucht, bitte nicht updaten.

hast du eine Idee warum dieses mal der downgrade schief ging? Gestern ging es dann mit der2.8.6 wenigstens noch heute dann nicht mehr? Bin mit meinem Latein am Ende und leicht frustriert … Ein kompletten Seiten backup mag ich jetzt nicht einspielen wer weiss was dann alles schief geht - Also muss ich auf die .10 warten

War bei mir auch so, warum weiß ich nicht. Ich habs auf das parallel upgegradete Wordpress geschoben.

Wenn man testweise die share.html einer offenbar noch nicht aktualisierten Podlove-Instanz anderswo verwendet, klappt es übrigens mit deinem embed:

https://raumzeit-podcast.de/wp-content/plugins/podlove-podcasting-plugin-for-wordpress/lib/modules/podlove_web_player/player_v4/dist/share.html?episode=https%3A%2F%2Fp2p-game.com%2F%3Fpodlove_player4%3D77

Danke - ging ist aber natürlich ziemlich suboptimal Code von Raumzeit anzuziehen :confused:
hab jetzt trotzdem mal die neusten drei umgestellt und bin gespannt was beim nächsten Release dann wackelt - und hoffe das die Raumzeit Kollegen nicht sauer werden - viel Traffiv haben sie von mir (leider) nicht zu befürchten :slight_smile:

@zusatzstoff und @ericteubert seid ihr noch an dem Problem dran? Oder habe ich was übersehen?
Danke Euch!

Hey,
ja der 4.5.8er Player sollte das Problem fixen. Ich vermute das @ericteubert bald auch die Version im Publisher nachziehen wird.

1 Like

@zusatzstoff ist er schon. Wenn ich das oben richtig verstehe, basieren die Probleme auf de. 4.5.8er. Die Versionsnummer ist auch in den Fehlermeldungen enthalten.

Ich habe Podlove Podcast Publisher 2.8.9 installiert sonst nix - also wenn da der 4.5.8. dabei ist dann besteht das Problem damit bzw. er soll angezogen werden un ist doch nicht vorhanden!
Da @pikarl die gleichen Probleme hat gehe ich mal nicht von einer einzelnen (meiner) eventuell vermurksten Installation aus.

Wenn ich euch mit irgendwas (Logfile / Beispiele) helfen kann gebt Bescheid

Es ist wie @tbee sagt: Publisher 2.8.9. mit Wordpress 5.2.2 hat das gleiche Problem.

Schickt mir bitte mal die Share Codes die nicht funktionieren. Freakshow bspw. ist auch auf der 4.5.8 und läuft so wie erwartet

Bug gefunden, 4.5.9 wird bald released. In der Zwischenzeit könnt ihr als share base die CDN Variante verwenden: https://cdn.podlove.org/web-player/share.html

Danke euch! <3

Edit, @zusatzstoff @ericteubert: Funktioniert aber leider mit dem cdn-Link nicht. Ist doch noch ein Bug drin.

Siehe: https://cdn.podlove.org/web-player/share.html?episode=https%3A%2F%2Fpodcast.pikarl.de%2F%3Fpodlove_player4%3D145

Da rendert bei mir korrekt ein Player

Stimmt, vorhin klappte es nicht. Vielleicht war ich zu ungeduldig beim Laden. Danke!

I am running into a similar issue with the embedded player not running. The console error that I am seeing is:

TypeError: Cannot read property 'dispatch' of undefined
    at share.js:2
    at f (share.js:2)
    at Generator._invoke (share.js:2)
    at Generator.t.<computed> [as next] (share.js:2)
    at e (share.js:2)
    at u (share.js:2)

The site in question is dataengineeringpodcast.com and I am running the 2.9.0 release of the publisher and using the CDN for delivering the player itself.

Thank you for your help!